#ifndef FSCTL_FUGUE_H
#define FSCTL_FUGUE_H 1

#include "fsctl/fugue/bits/fs.h"
#include "fsctl/fugue/bits/dir.h"
#include "fsctl/fugue/bits/file.h"

//---
// API
//---

/* fugue_fs_mount() : try to initialize the FS */
extern int fugue_fs_mount(fugue_fs_t *fsinfo, void *addr);

/* fugue_fs_opendir() : opendir-like function */
extern int fugue_fs_opendir(fugue_dir_t *dir);

/* fugue_fs_readdir() : readdir-like function */
extern int fugue_fs_readdir(fugue_dir_t *dirent, fugue_file_t *file);

/* fugue_fs_closedir() : closedir-like function */
extern int fugue_fs_closedir(fugue_dir_t *dir);

#endif /* FSCTL_FUGUE_H */
