#ifndef FSCTL_FUGUE_DIRENT_H
#define FSCTL_FUGUE_DIRENT_H 1

#include "fsctl/fugue/bits/dir.h"
#include "fsctl/fugue/bits/file.h"

//---
// API
//---

/* fugue_dirent_dir_fetch() : fetch the current dir blob and walk to next */
extern void *fugue_dirent_dir_fetch(fugue_dir_t *dirent);

/* fugue_dirent_name_fetch() : fetch fragment */
extern int fugue_dirent_name_fetch(
    fugue_dir_t *dirent,
    fugue_file_t *file,
    void *dir
);

#endif /* FSCTL_FUGUE_DIRENT_H */
